import * as core from "@terrascript/core";

export interface ResourcePolicyArgs extends core.ResourceArgs {
  enableHybrid?: string | core.StringOut;

  policy: string | core.StringOut;
}

export class ResourcePolicy extends core.Resource<ResourcePolicyArgs> {
  @core.attr(String)
  public enableHybrid?: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public policy!: string | core.StringOut;

  constructor(name: string, args?: ResourcePolicyArgs) {
    super(name, "aws_glue_resource_policy", args);
  }

  public override getNamespace(): string {
    return "aws_glue";
  }
}
